
/* Chirs Kelly - 2017 - Foundation - Minecraft Website http://www.chris-mkelly.com/ */

/*------------------------*/
/*        GENERAL         */
/*------------------------*/
html{
  height: 100%;
}
body
{
    font-family: 'Maven Pro', sans-serif !important;
    background-color: #fff;

}

h1
{
    font-family: 'Barrio', cursive;
}

.wrap
{
    width: 90%;
    height: 100%;
    max-width: 1100px;
    margin: 0 auto;
}

/*------------------------*/
/*        TOP BAR         */
/*------------------------*/

.title-bar
{
    background: #0158B5;
    padding: 0.9rem;
}

.top-bar
{
    background: #0158B5;
}

.top-bar ul
{
    background: #0158B5;
}

.top-bar ul li
{
    background: #0158B5;
}

.top-bar ul li a
{
    color: #fff;
}

.menu-text
{
    color: #fff;
    width: 245px;
    text-align: center;
}

@media only screen and (max-width: 40em)
{
    .menu-text
    {
        display: none !important;
    }
}

@media only screen and (min-width: 40em)
{
    .menu:last-child
    {
        border-left: 1px solid #4e4e4e;
    }
    .menu:first-child
    {
        border-left: none;
    }
    .menu li:not(:last-child)
    {
        border-right: 1px solid #313E47;;
    }
}

.dropdown.menu .submenu
{
    border: none;
}

.dropdown.menu .is-dropdown-submenu-parent.is-right-arrow > a::after
{
    border-color: #fff transparent transparent;
}

.is-drilldown-submenu-parent > a::after
{
    border-color: transparent transparent transparent #fff;
}

.js-drilldown-back::before
{
    border-color: transparent #fff transparent transparent;
}

/*------------------------*/
/*         Header         */
/*------------------------*/

.index .header{
  background-image: url('../img/bg1.png');
  background-size: cover;
  position: relative;
  min-height: 900px;
}

.index .header .text{
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  color: #fff;
}

.index .header .text .h2{
  font-size: 90px;
}

/*------------------------*/
/*       Left Nav       */
/*------------------------*/

.nav{
  float: left;
  position: fixed;
  width: 250px;
  height: 100vh;
  background-color: #fff; /* nav background */
  box-shadow: 5px 5px 50px gray;
  overflow: auto;
}

/*  Header */

.nav .header .top-bar{
  background-color: #1ECEAB;
}

.nav .header p{
  margin: 0;
  padding: 0px;
  text-align: center;
  font-weight: 500;
  font-size: 24px;
  text-transform: uppercase;
}

/* Profile */

.profile{
    background-color: #EF5F64; /* profile img background */
    padding-bottom: 10px;
}

.profile p{
  margin: 0px;
}

.profile .name{
  font-weight: 500;
  font-size: 20px;
  text-align: center;
}

.profile .name p{
  padding-top: 10px;
}

.profile .img{
  width: 150px;
  padding-top: 20px;
  margin-left: auto;
  margin-right: auto;
  display: block;
}

.profile .image{
  border-radius: 50%;
}

.profile .details{
  text-align: center;
}

/* Menu nav */

.vertical{  /* when the drop down goes past screen allow scroll */
  overflow: auto;
}

.vertical .menunav{   /* separation  bar */
  text-align: center;
  background-color: #475368;
  height: auto;
}

.vertical .menunav p{
  margin: 0;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
}

.nav .vertical .dropdown{ /* dropdown headder color */
  background-color: rgba(241, 241, 241, 0.5);
}

.nav .vertical .dropdown:hover{
  background-color: rgba(241, 241, 241, 0.9);
}

/* Sub nav */

.nav .menu .nested {  /* allows sub nav full width of nav */
  margin: 0;
}

.nav .menu li:not(:last-child){ /* removes default right border line */
  border-right: none;
}


.vertical .sub{   /* Sub menu color */
  background-color: #fff;
}

.vertical .sub:hover{   /* sub menu hover color */
  background-color: #fff;
}

.vertical .sub a{ /* text color */
  color: #000;
}

.vertical .sub a:hover{ /* change font size on hover */
  font-size: 17px;
  font-weight: 500;
}

.vertical .sub{   /*sub nav left border */
  border-left: 4px solid #000;
}

.vertical .sub:hover{ /* sub nav left border bigger on hover */
  border-left-width: 6px;
  background-color: rgba(241, 241, 241, 0.5);
}

/* Dark */

.vertical .sub-dark a{
  color: #012F60;
}

.vertical .sub-dark{
  border-left: 4px solid #012F60;

}

.vertical .sub-dark a:hover{ /* change font size on hover */
  font-size: 17px;
  font-weight: 500;
}

.vertical .sub-dark:hover{ /* sub nav left border bigger on hover */
  border-left-width: 6px;
  background-color: rgba(241, 241, 241, 0.5);
}



/* Red */

.vertical .sub-red a{
  color: #EF5F64;
}

.vertical .sub-red{
  border-left: 4px solid #EF5F64;
}

.vertical .sub-red a:hover{ /* change font size on hover */
  font-size: 17px;
  font-weight: 500;
}

.vertical .sub-red:hover{ /* sub nav left border bigger on hover */
  border-left-width: 6px;
  background-color: rgba(241, 241, 241, 0.5);
}

/*------------------------*/
/*    Main Body Template  */
/*------------------------*/

.page_body{
  position: absolute;
  width: calc(100% - 250px);
  margin-left: 250px;
  min-height: 100%; /* keeps footer at bottom */
}

.page_body .exterior{
  padding: 20px 40px;
}

.page_body .header{
  padding-bottom: 5px;
}

.page_body .header p{
  font-size: 15px;
  font-weight: normal;
  text-align: left;
  text-transform: uppercase;
}

/* page links */

.page_body .header .disabled{
  pointer-events: none;
  cursor: default;
  color: gray;
}



.page_body .inner{
  width: 100%;
  border: 1px solid gray;
  padding: 20px;
  margin-bottom: 45px;
  min-height: 450px;
  box-shadow: 10px 10px 50px #888888;
}

.footer{
  position: absolute;
  margin-top: 20px;
  padding-top: 15px;
  text-align: center;
  width: 100%;
  height: 60px;
  bottom: 0;
}
